CommandForwarderConfiguration (CMDB Model API)
Keywords: com.collation.platform.model.casm.monitor.forwarding.CommandForwarderConfiguration interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.casm.monitor.forwarding
Interface CommandForwarderConfiguration

All Superinterfaces:
  Configuration, ForwarderConfiguration, ModelObject, MonitorConfiguration, java.io.Serializable

    public interface CommandForwarderConfiguration

extends ForwarderConfiguration

Forwarder configuration for a forwarder that runs a command

Persistable:
  true

Field Summary

Fields inherited from interface com.collation.platform.model.Configuration
`OPER_ACCEPTED, OPER_NEW, OPER_REJECTED`

Method Summary
`java.lang.String` | `getCommand()` An absolute pathname to a command executable or script that accepts the details of a StateChangeEvent as parameters.
`boolean` | `hasCommand()`
`void` | `setCommand(java.lang.String command)`

Methods inherited from interface com.collation.platform.model.casm.monitor.forwarding.ForwarderConfiguration
`getCategory, getComponentType, getSeverityThreshold, hasCategory, hasComponentType, hasSeverityThreshold, setCategory, setComponentType, setSeverityThreshold`

Methods inherited from interface com.collation.platform.model.Configuration
`getEnabled, getFamilyName, getMssGuid, getName, getOperationalStatus, getRejectionReason, hasEnabled, hasFamilyName, hasMssGuid, hasName, hasOperationalStatus, hasRejectionReason, setEnabled, setFamilyName, setMssGuid, setName, setOperationalStatus, setRejectionReason`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Method Detail

### getCommand

    java.lang.String getCommand()
                                throws AttributeNotSetException

  An absolute pathname to a command executable or script that accepts the details of a StateChangeEvent as parameters. This is a required attribute.

  Returns:
    a script or command pathname.
  Throws:
    `AttributeNotSetException`

### setCommand

    void setCommand(java.lang.String command)

### hasCommand

    boolean hasCommand()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD